#include "Sequence_Containers_Functions.h"
#include <iostream>


template<typename _numType>
void parseFileWithNums(std::fstream& file)
{
	auto itFileBeg = std::istream_iterator<_numType>(file);
	for (auto it = itFileBeg; it != std::istream_iterator<_numType>();)
	{
		if (std::distance(it, itFileBeg) % 20 == 0) std::cout << "\n";
		std::cout << *it << " ";
	}
}


template<typename _contType>
void parseContWithNums(_contType cont)
{
	auto itContBeg = cont.begin();
	for (auto it = itContBeg; it != cont.end(); ++it)
	{
		if (std::distance(it, itContBeg) % 20 == 0) std::cout << "\n";
		std::cout << *it << " ";
	}
}


void showMainMenu()
{
	std::cout << std::endl << "Choose what to do:" << std::endl;
	std::cout << "1. Check sequence containers." << std::endl;
	std::cout << "2. Check associative containers." << std::endl;
	std::cout << "3. Quit" << std::endl << std::endl;
}


void showSequenceContainersMenu()
{
	std::cout << std::endl << "Work with sequence containers." << std::endl;
	std::cout << "Choose what to do:" << std::endl;
	std::cout << "1. Check sequence containers." << std::endl;
	std::cout << "2. Check associative containers." << std::endl;
	std::cout << "3. Quit" << std::endl << std::endl;
}


int main()
{ 
	char* filename = new char[30];
	std::fstream data_file = createData();
	std::deque<short> data_cont = loadData<std::deque<short>>();
	int key;


	std::cout << "Program for work with containers." << std::endl;
	
	std::cout << "-> ";
	std::cin >> key;

	switch (key)
	{
	case 1:
	{
		fflush(std::cout);

	}
	}



	parseFileWithNums<int>(data_file);
	std::cout << std::endl;
	parseContWithNums(data_cont);
	



	return 0;
}